# Malaysia Prayer Time app / Apl Waktu Solat Malaysia

![Flutter](https://img.shields.io/badge/Flutter-%2302569B.svg?style=flat-square&logo=Flutter&logoColor=white)
![Android](https://img.shields.io/badge/Android-3DDC84?style=flat-square&logo=android&logoColor=white)
[![Ready on PWA](https://img.shields.io/badge/Ready%20on-PWA-5a0fc8?style=flat-square)](https://waktusolat.web.app/)
![Maintenance](https://img.shields.io/maintenance/yes/2022?style=flat-square)
[![Installs](https://img.shields.io/badge/installs-40k+-informational?style=flat-square)](https://play.google.com/store/apps/details?id=live.iqfareez.waktusolatmalaysia)
![GitHub code size in bytes](https://img.shields.io/github/languages/code-size/mptwaktusolat/app_waktu_solat_malaysia?style=flat-square)
![License](https://img.shields.io/github/license/mptwaktusolat/app_waktu_solat_malaysia?style=flat-square)
[![style: flutter_lints](https://img.shields.io/badge/style-flutter__lints-4BC0F5.svg?style=flat-square)](https://pub.dev/packages/flutter_lints)
![GitHub Repo stars](https://img.shields.io/github/stars/mptwaktusolat/app_waktu_solat_malaysia?style=social)
[![Twitter Follow](https://img.shields.io/twitter/follow/iqfareez?label=Follow&style=social)](https://twitter.com/iqfareez)

App waktu solat seluruh negeri di Malaysia | Prayer time app across all states in Malaysia.

Focusing on lightweight, fast app, easy-to-use and modern UI :wink:

![malaysia prayer time screenshots](https://user-images.githubusercontent.com/60868965/167505576-d8e0c62a-76b4-4d82-ade9-fa0722539b5d.png)

More screenshots [here](https://imgur.com/a/Zhh7aBB)!

## API

[~~Azanpro API~~](https://api.azanpro.com/)\
[~~WaktuSolatApp API~~](https://waktusolatapp.com/)\
[~~MPTi906 API~~](https://mpt.i906.my/)\
~~[e-solat JAKIM API](https://www.e-solat.gov.my/) & [mpt-backup-api](https://mpt-backup-api.herokuapp.com/)~~\
[MPT-Server](https://mpt-server.vercel.app/) & [e-solat JAKIM API](https://www.e-solat.gov.my/)

## Website

Features and troubleshooting steps are documented on the website.

https://waktusolat.iqfareez.com/

## Getting started

See [wiki](https://github.com/mptwaktusolat/app_waktu_solat_malaysia/wiki).

## Changelog History

Wondering what changed with every :new: release? Or what bug :bug: has been fixed? Visit [here](https://github.com/mptwaktusolat/app_waktu_solat_malaysia/wiki/Changelog)!

## Report issues / Feature requests

_With great power comes great responsibility_. Since this a prayer time app, keeping the data as accurate as possible is crucial Helps me solve issues/find bugs by reporing issues using the in-app **Send Feedback** feature **or** you could open a new [issue](https://github.com/mptwaktusolat/app_waktu_solat_malaysia/issues).

If you would like to contribute to this project, please submit a [pull request](https://github.com/mptwaktusolat/app_waktu_solat_malaysia/pulls).

_p/s: If I'm not responding to the new issue/PR for more than 48 hours. Kindly tag me @iqfareez._

## App Releases

<a href='https://play.google.com/store/apps/details?id=live.iqfareez.waktusolatmalaysia&pcampaignid=pcampaignidMKT-Other-global-all-co-prtnr-py-PartBadge-Mar2515-1'><img alt='Get it on Google Play' src='https://play.google.com/intl/en_us/badges/static/images/badges/en_badge_web_generic.png' style="max-width:55%;"/></a>

Require **Android 4.4W and up**

_I'm having difficulties updating the app in [Huawei App Gallery](https://appgallery.cloud.huawei.com/ag/n/app/C102547121?channelId=github&id=b4b4309a3f5a46cfabca1672b917609b&s=75C9C29E4E75B1193F97FCAB29C7789774C16C7625285C7D8F38ED8609BD6B70&detailType=0&v). So it will be very outdated._

_Not available for iOS sorry :disappointed:_

## Web app

<a href='https://waktusolat.web.app/'><img alt='Open in Web' src='https://user-images.githubusercontent.com/60868965/99348515-bc2a5200-28d4-11eb-8d34-ac47f3e11f3d.png' style="max-width:45%;"/></a>

_Web app working directory has been separated to `web` branches._

<!-- https://github.com/webmaxru/progressive-web-apps-logo -->

## Try the pre-releases

Pre-release is a release track to test the apps that have been added with new features/bug fixes/experiment features that are not ready for production.

Download and install the `.apk` from the [releases](https://github.com/mptwaktusolat/app_waktu_solat_malaysia/releases) page (look for the **pre-release** tag). Don't forget to share your feedback and comments.

_Note: Pre-release app are no longer submitted to the Google Play Store._

## Devlogs

[![Part 1](https://img.shields.io/badge/highlights-Part%201-blueviolet?style=for-the-badge)](https://www.instagram.com/s/aGlnaGxpZ2h0OjE3ODcyMTc0ODcwODEzNjM1)
[![Part 2](https://img.shields.io/badge/highlights-Part%202-blueviolet?style=for-the-badge)](https://www.instagram.com/s/aGlnaGxpZ2h0OjE4MDQ2MjI5MzM4MjczODAw)
[![Part 3](https://img.shields.io/badge/highlights-Part%203-blueviolet?style=for-the-badge)](https://www.instagram.com/s/aGlnaGxpZ2h0OjE4MTM5MTYyNTU1MTQ0MjYx)
[![Part 4](https://img.shields.io/badge/highlights-Part%204-blueviolet?style=for-the-badge)](https://www.instagram.com/s/aGlnaGxpZ2h0OjE3ODg2ODQ3MDQwMjc2ODM3)
[![Part 5](https://img.shields.io/badge/highlights-Part%205-blueviolet?style=for-the-badge)](https://www.instagram.com/s/aGlnaGxpZ2h0OjE3OTE1MTkzNDAzODk3MDk1)
[![Part 6](https://img.shields.io/badge/highlights-Part%206-blueviolet?style=for-the-badge)](https://www.instagram.com/s/aGlnaGxpZ2h0OjE3OTA1NDI3MDQ1NDEzMDA0)
[![Part 7](https://img.shields.io/badge/highlights-Part%207-blueviolet?style=for-the-badge)](https://www.instagram.com/s/aGlnaGxpZ2h0OjE3OTE4NTU0NjEzMTg1NjQ0)
[![Part 8](https://img.shields.io/badge/highlights-Part%208-blueviolet?style=for-the-badge)](https://www.instagram.com/s/aGlnaGxpZ2h0OjE3OTU1MjM0NjM0OTAxMzg5)

## Motivation

<!-- A short description of the motivation behind the creation and maintenance of the project. This should explain why the project exists. -->

Started with the intention to learn Flutter, until the app has achieved over 40 thousand installs, beyond far on what can I imagine.

I always wanted to contribute something to the ummah (Islam), and this is one of my way of doing it. I hope this project will benefit Malaysians (including people who reside in Malaysia) by providing quick and easy access to prayer times in their area. This project will be kept maintained so it will relevant for many generations to come. Inshallah.

<!-- ## Attribution

<div>Icons made by <a href="https://www.flaticon.com/authors/freepik" title="Freepik">Freepik</a> from <a href="https://www.flaticon.com/" title="Flaticon">www.flaticon.com</a></div> -->

## Contributors


<!-- ALL-CONTRIBUTORS-LIST:START - Do not remove or modify this section -->
<!-- prettier-ignore-start -->
<!-- markdownlint-disable -->
<table>
  <tbody>
    <tr>
      <td align="center"><a href="http://iqfareez.com"><img src="https://avatars.githubusercontent.com/u/60868965?v=4?s=75" width="75px;" alt="Fareez Iqmal"/><br /><sub><b>Fareez Iqmal</b></sub></a><br /><a href="https://github.com/mptwaktusolat/app_waktu_solat_malaysia/commits?author=iqfareez" title="Code">💻</a> <a href="https://github.com/mptwaktusolat/app_waktu_solat_malaysia/commits?author=iqfareez" title="Tests">⚠️</a> <a href="https://github.com/mptwaktusolat/app_waktu_solat_malaysia/commits?author=iqfareez" title="Documentation">📖</a> <a href="#design-iqfareez" title="Design">🎨</a> <a href="#content-iqfareez" title="Content">🖋</a></td>
      <td align="center"><a href="https://github.com/agoza"><img src="https://avatars.githubusercontent.com/u/49515501?v=4?s=75" width="75px;" alt="agoza"/><br /><sub><b>agoza</b></sub></a><br /><a href="https://github.com/mptwaktusolat/app_waktu_solat_malaysia/commits?author=agoza" title="Code">💻</a></td>
    </tr>
  </tbody>
</table>

<!-- markdownlint-restore -->
<!-- prettier-ignore-end -->

<!-- ALL-CONTRIBUTORS-LIST:END -->
## Legalese

- [Terms and Conditions](https://waktusolat.iqfareez.com/terms-and-conditions)
- [Privacy Policy](https://waktusolat.iqfareez.com/privacy-policy)
- Google Play and the Google Play logo are trademarks of Google LLC.

## Acknowledgements

Article, assets, and resources that help me throughout the development.

1. ~~https://medium.com/platform45/flutter-handling-your-network-api-calls-like-a-boss-9093c71a7c97~~
2. ~~https://stackoverflow.com/questions/50115311/flutter-how-to-force-an-application-restart-in-production-mode~~
3. https://javiercbk.github.io/json_to_dart/
4. ~~https://medium.com/swlh/flutter-dynamic-themes-in-3-lines-c3b375f292e3~~
5. https://medium.com/@fuzzymemory/adding-scheduled-notifications-in-your-flutter-application-19be1f82ade8
6. ~~https://gist.github.com/taciomedeiros/50472cf94c742befba720853e9d598b6~~
7. ~~https://github.com/SuaMusica/googleads-mobile-flutter - Ads without jank~~
8. https://github.com/shubhamhackz/light_dark_toggle - Sun/moon toggle animation.
9. Last third of the night calculation https://muftiwp.gov.my/en/artikel/al-kafi-li-al-fatawi/1376-al-kafi-251-pembahagian-malam-dan-qiamullail
10. Shake widget - https://mobikul.com/shake-effect-in-flutter/

and sure, there's a lot more.

## Assets attribution

- 3D assets you see on the onboarding screen are from [BAM 3D Illustration kit](https://www.uistore.design/items/bam-free-3d-illustration-kit/) & [3dicons](https://3dicons.co/).
- Tasbih icons created by [Freepik](https://www.flaticon.com/free-icons/tasbih).
- Mosques images (in full timetable page) is taken from various sources

### May Allah ease everything in developing MPT. InshaAllah!
